Bug 240202 - Elfutils doesn't compile with automake 1.10
Summary: Elfutils doesn't compile with automake 1.10
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-15 19:06 UTC by Nurdin Premji
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 0.128-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-08 21:21:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nurdin Premji 2007-05-15 19:06:12 UTC
Description of problem:
automake 1.10 complains when trying to build elfutils.

gives error message:

backends/Makefile.am 27 shell pwd: non-POSIX variable name (probably a GNU make
extension). %-style pattern rules are a GNU make extension
....

Version-Release number of selected component (if applicable):
elfutils 0.127

How reproducible:
always.

Steps to Reproduce:
1. try to compile elfutils on fedora 7 rawhide.
2.
3.
  
Actual results:
Above error.

Expected results:
automake succeed.

Additional info:
changing configure.ac AM_INIT_AUTOMAKE strictness from gnits to foreign fixes this.

Comment 1 Roland McGrath 2007-05-16 20:36:01 UTC
I fixed this upstream (added -Wno-portability).

Comment 2 Roland McGrath 2007-06-08 21:21:57 UTC
Fixed in 0.128


Note You need to log in before you can comment on or make changes to this bug.